%define		inst_prefix usr
%define		ver 2.25.1
Obsoletes:	VFlib
Provides:	libVFlib.so.2

Summary:	The vector font library (VFlib2)
Name:		VFlib2
Version:	%{ver}
Release:	12
# Original source is gziped.
Source:		ftp://TypeHack.aial.hiroshima-u.ac.jp/pub/TypeHack/VFlib2-%{ver}.tar.bz2
Source1:	vfontcap-CLE.bz2
Patch0:		vfontcap-jrpm.patch.bz2
Patch1:		VFlib2-2.25.1-Chinese.patch.bz2
Patch2:		VFlib2-2.25.1-ia64.patch.bz2
Patch3:		VFlib2-2.25.1-gothic.patch
Copyright: GPL2
URL: http://TypeHack.aial.hiroshima-u.ac.jp/VFlib/
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-root
Summary(ja): ٥ȥեȥ饤֥ (VFlib2)
Requires:	xtt-fonts >= 0.19990222-9

%description
VFlib is a library for converting vector fonts to bitmap data. Its
functions include rotation, shrinking, and changing the slant of
characters. VFlib is used by localized software for Japanese document
processing that requires Kanji fonts, for example xdvi, dvi2ps,
ghostscript.
 
%description
VFlib is a library for converting vector fonts to bitmap data. Its
functions include rotation, shrinking, and changing the slant of
characters. VFlib is used by localized software for Japanese document
processing that requires Kanji fonts, for example xdvi, dvi2ps,
ghostscript.

%description -l ja
VFlib ϥ٥ȥեȤӥåȥޥåץǡؤѴ򤹤饤֥
Ǥ ʸβž̾βʤɤεǽ⤢ޤܸ˥
饤줿 xdvi, dvi2ps ghostscript ʤɤδեȤɬפȤ
ܸʸץꥱ󥽥եȥVFlib ȤäƤޤ

%package devel
Obsoletes: VFlib-devel
Summary:  header files and static library for VFlib v2.24.0.
Summary(ja):  VFlib v2.24.0Υإåեȥƥå饤֥
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the VFlib2 static libraries and header files
required to develop VFlib2-based applications.

%description -l ja devel
ΥѥåˤϡVFlib2Ѥץꥱγȯɬפʥ
ƥå饤֥ȥإåե뤬ޤޤƤޤ

%package VFjfm
Obsoletes: VFlib-VFjfm
Summary: Other useful files for using VFlib2
Summary(ja): VFlibѤ뤿Υե
Group: Applications/Publishing
Requires: VFlib2

%description VFjfm
JFM files (TFM files for ASCII Japanese TeX) and scripts to generating
JFM files and misc files to use DynaFont fonts by TeX and Ghostscript.

%description -l ja VFjfm
JFM ե(ASCII ܸ TeXǳƼΤȤɬפ TFM ե) 
ȡμưץȷӥʥեȤTeX  Ghostscript 
ǻȤγƼեࡣ

%prep
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/%{inst_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/%{inst_prefix}/lib
mkdir -p $RPM_BUILD_ROOT/%{inst_prefix}/include
mkdir -p $RPM_BUILD_ROOT/%{inst_prefix}/share/VFlib/VFjfm

%setup -q
%patch0 -p1 -b .jrpm
%patch1 -p1 -b .zh
%patch2 -p1 -b .ia64
%patch3 -p1 -b .gothic
bzcat %{SOURCE1} >> $RPM_BUILD_DIR/VFlib2-%{ver}/vfontcap

find $RPM_BUILD_DIR/%{name}-%{version} -name CVS -type d | sort | xargs rm -fr

%build
libtoolize --copy --force
OPTS="--prefix=/%{inst_prefix} --with-x --with-freetype --enable-shared --enable-static"
if [ -d /usr/include/freetype ]; then
	./configure ${OPTS} --with-freetype-includedir=/usr/include/freetype
else
	./configure ${OPTS}
fi
make CFLAGS="$RPM_OPT_FLAGS -Wall -ansi"

%install
make prefix=$RPM_BUILD_ROOT/%{inst_prefix} install

(cd $RPM_BUILD_ROOT/%{inst_prefix}/lib ; ln -sf libVFlib2.so.24.0.3 libVFlib.so.%{ver})
(cd $RPM_BUILD_ROOT/%{inst_prefix}/lib ; ln -sf libVFlib2.a libVFlib.a)
ln -fs libVFlib.so.%{ver} $RPM_BUILD_ROOT/%{inst_prefix}/lib/libVFlib.so.2
ln -fs libVFlib.so.2 $RPM_BUILD_ROOT/%{inst_prefix}/lib/libVFlib.so

(cd $RPM_BUILD_ROOT/etc ; ln -fs ../usr/share/VFlib/%{ver}/vfontcap .)

strip $RPM_BUILD_ROOT/%{inst_prefix}/bin/ktest
strip $RPM_BUILD_ROOT/%{inst_prefix}/bin/bdfindex
strip $RPM_BUILD_ROOT/%{inst_prefix}/bin/ttindex

install -c -s -m 0755 src/fwindex $RPM_BUILD_ROOT/%{inst_prefix}/bin

install -c -s -m 0755 tools/.libs/disol  $RPM_BUILD_ROOT/%{inst_prefix}/bin
install -c -s -m 0755 tools/.libs/fmtest $RPM_BUILD_ROOT/%{inst_prefix}/bin
install -c -s -m 0755 tools/.libs/kban   $RPM_BUILD_ROOT/%{inst_prefix}/bin
install -c -s -m 0755 tools/.libs/vfperf $RPM_BUILD_ROOT/%{inst_prefix}/bin
install -c -s -m 0755 tools/.libs/vftest $RPM_BUILD_ROOT/%{inst_prefix}/bin

cp -ar jTeX $RPM_BUILD_ROOT/%{inst_prefix}/share/VFlib/VFjfm
cp -ar dynafont $RPM_BUILD_ROOT/%{inst_prefix}/share/VFlib/VFjfm

chmod 644  $RPM_BUILD_ROOT/%{inst_prefix}/share/VFlib/VFjfm/jTeX/jfmsrc/MakeSlantTFM

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/VFlib2

%files
%defattr(-,root,root)
%doc doc INSTALL COPYING COPYING.LIB DISTRIB.txt README.txt README.txt.JP_EUC CHANGES
%config /usr/share/VFlib/%{ver}/vfontcap
/etc/vfontcap
/%{inst_prefix}/lib/libVFlib2.so.24.0.3
/%{inst_prefix}/lib/libVFlib2.so.24
/%{inst_prefix}/lib/libVFlib.so.%{ver}
/%{inst_prefix}/lib/libVFlib.so.2
/%{inst_prefix}/bin/ttindex
/%{inst_prefix}/bin/bdfindex
/%{inst_prefix}/bin/fwindex
/%{inst_prefix}/bin/disol
/%{inst_prefix}/bin/fmtest
/%{inst_prefix}/bin/kban
/%{inst_prefix}/bin/ktest
/%{inst_prefix}/bin/vfperf 
/%{inst_prefix}/bin/vftest
%dir /%{inst_prefix}/share/VFlib/%{ver}
/%{inst_prefix}/share/VFlib/%{ver}/vfontcap.bdf
/%{inst_prefix}/share/VFlib/%{ver}/vfontcap.comp2

%files devel
%defattr(-,root,root)
/%{inst_prefix}/lib/libVFlib2.so
/%{inst_prefix}/lib/libVFlib2.a
/%{inst_prefix}/lib/libVFlib2.la
/%{inst_prefix}/lib/libVFlib.so
/%{inst_prefix}/lib/libVFlib.a
/%{inst_prefix}/include/VF.h

%files VFjfm
%defattr(-,root,root)
%dir /%{inst_prefix}/share/VFlib/VFjfm
/%{inst_prefix}/share/VFlib/VFjfm/*

%changelog
* Fri Mar  9 2001 Preston Brown <pbrown@redhat.com>
- require new xtt-fonts which has new font locations

* Fri Mar  9 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed specfile.

* Wed Feb 28 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed the dependency problem.

* Tue Feb 27 2001 Akira TAGOH <tagoh@redhat.com>
- 2.25.1-[89]
- Fixed some rpmlint problem.

* Tue Feb 21 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed goth entry in vfontcap.
  watanabe-mincho-ttf -> wadalab-gothic-ttf
- Fixed bzip2 extract.

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to prepare porting to new archs

* Sun Jan 28 2001 Yukihiro Nakai <ynakai@redhat.com>
- bzip2

* Tue Jan 23 2001 Adrian Havill <havill@redhat.com>
- removed backup file artifacts

* Thu Dec 28 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Chinese patch
- Add IA64 configure fix patch from Kitame Takuo.
- Rebuild for 7.1

* Thu Mar 16 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new freetype libraries

* Sat Mar  4 2000 Chris Ding <cding@redhat.com>
- rebuilt for 6.2J

* Thu Jan 20 2000 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- built against LinuxPPC-1999
- version up to 2.25.1

* Wed Jan 05 2000 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against freetype 1.3.1
- changed Group: Libraries -> System Environment/Libraries (VFlib2)
- changed Group: Applications/Publishing/TeX -> Applications/Publishing (VFlib2VFjfm)

* Sun Jun 20 1999 FURUSAWA,Kazuhisa <kazu@linux.or.jp>
- 7th Release for i386 (glibc2.1)
- Original Packager: Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>

* Wed Jun 9 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 7jrpm
- changed ltconfig.JRPM.patch

* Wed Jun 9 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 6jrpm
- added %defattr(-,root,root)

* Sat Jun 6 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 5jrpm
- fixed about linking
- added Provides: libVFlib.so.2

* Mon Apr 19 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 4jrpm
- small fixed

* Sat Apr 17 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 3jrpm
- fixed vfontcap
- deleted Provides: libVFlib.so.2

* Sat Feb 20 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.2
- Release: 2
- make link (/usr/share/VFlib/2.24.2/vfontcap ->  /etc/vfontcap)

* Fri Feb 18 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.2
- Release: 1

* Wed Jan 13 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.1
- Release: 1
- vfontcap  PATH  ǥե(/usr/share/VFlib/2.24.1/vfontcap)
- ǥեȥեȤ xtt-fonts ѥåΤΤ

* Thu Dec 8 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.1
- Release: 0
- changed URL:
- deleted Source1: install-sh
- deleted Source2: config.sub
   ȼ configure ץ¿ѹ
- %doc 
	ReleaseNote -> CHANGES

* Wed Sep 16 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.0
- Release: 0.4
- freetype Ȥ߹ޤƤؤ󤫤ä :P

* Mon Sep  9 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.0
- Release: 0.2

- ѹ
 /usr/local -> /usr 
 ¾

- ΤΥХ
 vfontcap ΥǥեȥեȥѥäƤʤ

* Sun May 24 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2.
- ĶRedHat 5.0 
- VFlib  Group:  Libraries ѹ
- VFlib-devel  Group:  Development/Libraries ѹ
- VFlib-VFjfm  Group:  Applications/Publishing/TeX ѹ

* Mon Dec 1 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.22pl10
- Release: 1 
- removed VFlib-2.22-sparc.patch
- moved /usr/local/lib/libVFlib.so to VFlib-devel

* Wed Nov 19 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 6
- added Distribution: and Vendor: tags

* Wed Oct 23 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 5
- VFlib-2.22-shared.patch  VFlib-2.22-jrpm.patch ѹ
- vfontcap ΥǥեȤѹѥå
- Group: ѹ
- /usr/src/VFjfm  /usr/local/src/VFjfm 
- strip ǥå:^)

* Wed Aug 18 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 4
- added script for /etc/ld.so.conf at %post 

* Wed Jun 30 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 3
- changed Some tools in tools/* linked -lVFlib dynamically.
- added ln -fs libVFlib.so.2 libVFlib.so

* Wed Jun 26 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2
- added Patch2 for sparc
	in fman.c
	Commented-out free(FM_Table[port].path); 
